Subject: Re: libfdt as its own repo and submodule of dtc?

From: David Gibson <[email-masked]>
Date: Thu, 1 Nov 2007 09:56:24 +1100

On Thu, Nov 01, 2007 at 01:55:30AM -0500, Kumar Gala wrote:
> 
> On Oct 30, 2007, at 6:40 PM, David Gibson wrote:
> 
> > On Tue, Oct 30, 2007 at 01:14:06PM -0400, Jerry Van Baren wrote:
> >> Jon Loeliger wrote:
> >>> So, like, the other day Kumar Gala mumbled:
> >>>> Jon,
> >>>>
> >>>> It seems like have libfdt as a unique git repo that is a  
> >>>> submodule of
> >>>> the things that need it (dtc, u-boot, etc.) might make some  
> >>>> sense and  it
> >>>> easier for the projects that need to pull it in.
> >>>>
> >>>> Is this something you can take a look at? (or have other ideas on).
> >>> I would be fine with making libfdt a git repository separate
> >>> from the DTC repository if that makes it easier to integrate
> >>> it with other projects.
> >
> > I don't think it's a good idea to make dtc and libfdt entirely
> > seperate repositories (again).  Being able to use both together in
> > their combined testsuite is very useful (libfdt is used to check trees
> > generated by dtc, dtc is used to generate example trees for libfdt
> > testing).
> >
> > I'm not sure how submodules/subrepositories work so I don't know if
> > that makes sense.
> 
> I believe submodules will accomplish this (at least from what I can  
> tell).

I'm not too keen on using a git feature that's more recent than the
git in most distros.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson